package com.skywang.control;

import android.os.Bundle;
import android.app.Activity;
import android.view.Menu;
import android.widget.Toast;
import android.widget.Button;
import android.view.View;
import android.view.View.OnClickListener;
import android.util.Log;

public class ToastTest extends Activity implements View.OnClickListener{
	private static final String TAG = "SKYWANG";

	private Button mBtnShow;
	private Button mBtnVanish;
	private Button mBtnStatic;
	private Toast mToast;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.toast_test);
        
        // 设置show按钮
        mBtnShow = (Button)findViewById(R.id.btn_show);
        // 设置show按钮的监听函数
        mBtnShow.setOnClickListener(this);

        // 设置vanish按钮
        mBtnVanish = (Button)findViewById(R.id.btn_vanish);
        // 设置vanish按钮的监听函数
        mBtnVanish.setOnClickListener(this);

        // 设置static按钮
        mBtnStatic = (Button)findViewById(R.id.btn_static);
        // 设置static按钮的监听函数
        mBtnStatic.setOnClickListener(this);
        
        // 设置Toast
        mToast = Toast.makeText(getApplicationContext(), R.string.text_dyn, Toast.LENGTH_LONG);
    }


    @Override
    public void onClick(View v) {
    	switch (v.getId()){
	    	case R.id.btn_show: {
	    		// 显示Toast
	    		if (mToast != null)
	    			mToast.show();
	    		break;
	    	}
	    	case R.id.btn_vanish: {
	    		// 取消Toast
	    		if (mToast != null)
	    			mToast.cancel();
	    		break;
	    	}
	    	case R.id.btn_static: {
	    		Toast.makeText(getApplicationContext(), getString(R.string.text_sta), Toast.LENGTH_SHORT).show();
	    		break;
	    	}
    	}
    }
    
}
